//
//  XTHtmlTagImg.m
//  TadsTerp
//
//  Created by Rune Berg on 19/09/14.
//  Copyright (c) 2014 Rune Berg. All rights reserved.
//

#import "XTHtmlTagImg.h"


@implementation XTHtmlTagImg

+ (NSString *)name
{
	return @"img";
}

+ (BOOL)standalone
{
	return YES;
}

+ (BOOL)blockLevel
{
	return YES;
}

+ (BOOL)blockLevelSpacing
{
	return YES;
}

+ (NSArray *)allowedAttributes
{
	return @[@"alt"];
}

- (NSArray *)dispatchToFormatter:(NSObject<XTOutputFormatterProtocol> *)formatter
{
	return [formatter handleHtmlTagImg:self];
}

@end
